не приступать к установке встроенного пакета с использованием fpm

Я следую этому примеру, чтобы создать файл deb из результата configure/make/make install , который преуспевает. Затем я использовал fpm для создания файла deb:

 # fpm -s dir -t deb -n nodejs -v 0.6.0 -C /tmp/installdir \ > -p nodejs-VERSION_ARCH.deb \ > -d "libssl0.9.8 (> 0)" \ > -d "libstdc++6 (>= 4.4.3)" \ > usr/bin usr/lib Created package {:path=>"nodejs-0.6.0_i386.deb"} # file nodejs-0.6.0_i386.deb nodejs-0.6.0_i386.deb: Debian binary package (format 2.0) 

Все выглядит нормально, пока я не попытаюсь установить из нового файла deb nodejs-0.6.0_i386.deb :

 # sudo dpkg -i nodejs-0.6.0_i386.deb Selecting previously unselected package nodejs. (Reading database ... 1058122 files and directories currently installed.) Unpacking nodejs (from nodejs-0.6.0_i386.deb) ... dpkg: dependency problems prevent configuration of nodejs: nodejs depends on libssl0.9.8 (>> 0); however: Package libssl0.9.8 is not installed. dpkg: error processing nodejs (--install): dependency problems - leaving unconfigured Errors were encountered while processing: nodejs 

У меня уже есть libssl1.0.0 1.0.1-4ubuntu5.12 и libstdc++6 4.6.3-1ubuntu5 .

Кажется, что они удовлетворяют -d "libssl0.9.8 (> 0)" и -d "libstdc++6 (>= 4.4.3)" .

В чем проблема?

Моя ОС – Ubuntu 12.04.